/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * ObserverStub.cpp
 *
 *  Created on: Dec 19, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "CodePatterns/Observer/Observer.hpp"

#include <cppunit/extensions/HelperMacros.h>

#include "ObserverStub.hpp"

/************ UpdateCountObserver **************/

UpdateCountObserver::UpdateCountObserver() :
  Observer("UpdateCountObserver"),
  updates(0)
{};

UpdateCountObserver::~UpdateCountObserver()
{}

void UpdateCountObserver::update(Observable *publisher){
  updates++;
}

void UpdateCountObserver::subjectKilled(Observable *publisher) {
}

/*********** NotificationObserver **************/

NotificationObserver::NotificationObserver(Notification_ptr notification) :
  Observer("NotificationObserver"),
  requestedNotification(notification),
  wasNotified(false)
{}

NotificationObserver::~NotificationObserver()
{}

void NotificationObserver::update(Observable*){}
void NotificationObserver::subjectKilled(Observable*){}
void NotificationObserver::recieveNotification(Observable *publisher, Notification_ptr notification){
  CPPUNIT_ASSERT(requestedNotification==notification);
  wasNotified = true;
}
